@import url("./root.css");

body{
    width: 100%;
    height: calc(100vh - 4em);
}

main{
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

#forms{
    min-width: 350px;
    aspect-ratio: 1 / 1;
    border: 1px solid var(--border);
    background-color: var(--bg);
    padding: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 20px;
    border-radius: 30px;
    box-shadow: 0 0 5px;
}

#changeForm{
    cursor: pointer;
}

#changeForm:hover{
    text-decoration: underline var(--primary);
}

form{
    width: 70%;
}

fieldset{
    padding: 10px;
    border-radius: 10px;
}

legend{
    margin-left: 10%;
}

input{
    border: 2px solid inset var(--border);
    background-color: var(--bg-light);
    height: 2.5em;
    padding: 5px;
    border-radius: 5px;
    width: 100%;
    box-shadow: 0 0 2px black;
}

input[type=submit]{
    margin-top: 10px;
    background-color: var(--bg-light);
    border-radius: 10px;
    transition: background-color .5s;
}

input[type=submit]:hover{
    cursor: pointer;
    background-color: var(--success);
}

#logMessage, #regMessage{
    width: 100%;
    margin-top: 10px;
    border-radius: 10px;
    height: 2.5em;
    padding: 5px;
    border-radius: 5px;
    box-shadow: 0 0 2px black;
    background-color: var(--bg-light);
    color: var(--danger);
    display: flex;
    justify-content: center;
    align-items: center;
}